import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { IlluviumContractFactory, IlluviumSIlv2 } from '../contracts';
export declare class EthereumIlluviumSIlv2TokenFetcher extends AppTokenTemplatePositionFetcher<IlluviumSIlv2> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: IlluviumContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: IlluviumContractFactory);
    getContract(address: string): IlluviumSIlv2;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare(): Promise<number[]>;
}
